#!/bin/sh
set -x

source /root/anaconda3/bin/activate py37

export SPARK_HOME=/opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8
export PATH=$SPARK_HOME/bin:$PATH
export HADOOP_CONF_DIR=/etc/taihao-apps/hadoop-conf
export JAVA_HOME=/usr/lib/jvm/java-1.8.0


# 启动第一个命令并放入后台
echo "Starting command 1"
sleep 5 &

# 启动第二个命令并放入后台
echo "Starting command 2"
sleep 3 &

# 启动第三个命令并放入后台
echo "Starting command 3"
sleep 4 &

# 使用wait等待所有后台命令完成
wait

# 所有命令执行完毕后执行的命令
echo "All commands have completed successfully."
